Package org.springframework.security.web.header.writers.frameoptions

# Enum Class XFrameOptionsHeaderWriter.XFrameOptionsMode

java.lang.Object
java.lang.Enum<XFrameOptionsHeaderWriter.XFrameOptionsMode>
org.springframework.security.web.header.writers.frameoptions.XFrameOptionsHeaderWriter.XFrameOptionsMode

All Implemented Interfaces:
  `Serializable`, `Comparable<XFrameOptionsHeaderWriter.XFrameOptionsMode>`, `Constable`

Enclosing class:
  XFrameOptionsHeaderWriter

public static enum XFrameOptionsHeaderWriter.XFrameOptionsMode extends Enum<XFrameOptionsHeaderWriter.XFrameOptionsMode>
The possible values for the X-Frame-Options header.

Since:
  3.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW_FROM`
Deprecated.
ALLOW-FROM is an obsolete directive that no longer works in modern browsers.
`DENY`
`SAMEORIGIN`

## Method Summary

Modifier and Type
Method
Description
`static XFrameOptionsHeaderWriter.XFrameOptionsMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XFrameOptionsHeaderWriter.XFrameOptionsMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DENY

public static final XFrameOptionsHeaderWriter.XFrameOptionsMode DENY

### SAMEORIGIN

public static final XFrameOptionsHeaderWriter.XFrameOptionsMode SAMEORIGIN

### ALLOW_FROM

@Deprecated public static final XFrameOptionsHeaderWriter.XFrameOptionsMode ALLOW_FROM
Deprecated.
ALLOW-FROM is an obsolete directive that no longer works in modern browsers. Instead use Content-Security-Policy with the frame-ancestors directive.

## Method Details

### values

public static XFrameOptionsHeaderWriter.XFrameOptionsMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XFrameOptionsHeaderWriter.XFrameOptionsMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null